Get Elasticsearch tiers
- GET /deployments/{deployment_id}/elasticsearch/{ref_id}/tiers
Retrieves the current memory size, zone count, and available sizes for all enabled Elasticsearch tiers in a Deployment. Disabled tiers are excluded.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Responses
The size configuration of all enabled Elasticsearch tiers
-
hot_contentTierInfo -
Current configuration of an individual Elasticsearch tier
-
memory_sizeinteger -
The memory size in MB for this tier.
-
zone_countinteger -
The number of availability zones for this tier.
-
available_sizesinteger -
Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
-
warmTierInfo -
Current configuration of an individual Elasticsearch tier
-
memory_sizeinteger -
The memory size in MB for this tier.
-
zone_countinteger -
The number of availability zones for this tier.
-
available_sizesinteger -
Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
-
coldTierInfo -
Current configuration of an individual Elasticsearch tier
-
memory_sizeinteger -
The memory size in MB for this tier.
-
zone_countinteger -
The number of availability zones for this tier.
-
available_sizesinteger -
Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
-
frozenTierInfo -
Current configuration of an individual Elasticsearch tier
-
memory_sizeinteger -
The memory size in MB for this tier.
-
zone_countinteger -
The number of availability zones for this tier.
-
available_sizesinteger -
Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
-
masterTierInfo -
Current configuration of an individual Elasticsearch tier
-
memory_sizeinteger -
The memory size in MB for this tier.
-
zone_countinteger -
The number of availability zones for this tier.
-
available_sizesinteger -
Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
-
coordinatingTierInfo -
Current configuration of an individual Elasticsearch tier
-
memory_sizeinteger -
The memory size in MB for this tier.
-
zone_countinteger -
The number of availability zones for this tier.
-
available_sizesinteger -
Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
-
mlTierInfo -
Current configuration of an individual Elasticsearch tier
-
memory_sizeinteger -
The memory size in MB for this tier.
-
zone_countinteger -
The number of availability zones for this tier.
-
available_sizesinteger -
Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Elasticsearch Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response